Bug 1303245 - Review Request: lrbd - Configure iSCSI access to Ceph rbd images
Review Request: lrbd - Configure iSCSI access to Ceph rbd images
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Boris Ranto
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-29 17:25 EST by Ken Dreyer
Modified: 2016-02-14 22:19 EST (History)
2 users (show)

See Also:
Fixed In Version: lrbd-1.0.2-0.1.20160129gitcc757bc.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-14 21:53:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
branto: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Ken Dreyer 2016-01-29 17:25:36 EST
Spec URL: https://fedorapeople.org/cgit/ktdreyer/public_git/lrbd.git/plain/lrbd.spec
SRPM URL: https://ktdreyer.fedorapeople.org/reviews/lrbd-1.0.2-0.1.20160129gitcc757bc.fc24.src.rpm
Description: This utility creates, modifies and retrieves a centralized configuration from Ceph for configuring iSCSI access on a host.
Fedora Account System Username: ktdreyer

Rawhide (F24) scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=12732591
Comment 1 Boris Ranto 2016-02-01 08:47:23 EST
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[-]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 112640 bytes in 32 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: %config files are marked noreplace or the reason is justified.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: No %config files under /usr.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: lrbd-1.0.2-0.1.20160129gitcc757bc.fc24.noarch.rpm
          lrbd-1.0.2-0.1.20160129gitcc757bc.fc24.src.rpm
lrbd.noarch: W: spelling-error Summary(en_US) iSCSI -> SCSI, i SCSI, Isis
lrbd.noarch: W: spelling-error Summary(en_US) rbd -> rd, red, rid
lrbd.noarch: W: spelling-error %description -l en_US iSCSI -> SCSI, i SCSI, Isis
lrbd.noarch: W: empty-%postun
lrbd.src: W: spelling-error Summary(en_US) iSCSI -> SCSI, i SCSI, Isis
lrbd.src: W: spelling-error Summary(en_US) rbd -> rd, red, rid
lrbd.src: W: spelling-error %description -l en_US iSCSI -> SCSI, i SCSI, Isis
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

All of these are OK, postun is not empty, it uses %systemd_postun macro, the
rest are not any actual spelling errors.




Rpmlint (installed packages)
----------------------------
lrbd.noarch: W: spelling-error Summary(en_US) iSCSI -> SCSI, i SCSI, Isis
lrbd.noarch: W: spelling-error Summary(en_US) rbd -> rd, red, rid
lrbd.noarch: W: spelling-error %description -l en_US iSCSI -> SCSI, i SCSI, Isis
lrbd.noarch: W: empty-%postun
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

All of these are OK, postun is not empty, it uses %systemd_postun macro, the
rest are not any actual spelling errors.



Requires
--------
lrbd (rpmlib, GLIBC filtered):
    /bin/sh
    /usr/bin/python
    ceph-common
    config(lrbd)
    python-netifaces
    python-rados
    python-rbd
    systemd
    targetcli



Provides
--------
lrbd:
    config(lrbd)
    lrbd



Source checksums
----------------
https://github.com/SUSE/lrbd/archive/cc757bc3ee1df981fa7eac5ac16ebae6c29b1a42/lrbd-1.0.2-cc757bc.tar.gz :
  CHECKSUM(SHA256) this package     : 1897a6b0116c223154cfdb4bc3ddf634d76a782d8c365b14cc1f2d6181986348
  CHECKSUM(SHA256) upstream package : 1897a6b0116c223154cfdb4bc3ddf634d76a782d8c365b14cc1f2d6181986348


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -b 1303245
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Ken Dreyer 2016-02-01 11:27:46 EST
Thanks for the review! pkgdb entry requested.
Comment 3 Gwyn Ciesla 2016-02-01 13:05:29 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/lrbd
Comment 4 Ken Dreyer 2016-02-03 15:16:37 EST
Initial package imported to dist-git: http://pkgs.fedoraproject.org/cgit/rpms/lrbd.git/commit/?id=4a5c8bfda1f044c0060a6f0bc985e3d6724872b6
Comment 5 Fedora Update System 2016-02-03 18:12:25 EST
lrbd-1.0.2-0.1.20160129gitcc757bc.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fc3fb5682
Comment 6 Fedora Update System 2016-02-03 21:31:42 EST
lrbd-1.0.2-0.1.20160129gitcc757bc.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2016-919af89213
Comment 7 Fedora Update System 2016-02-03 22:52:56 EST
lrbd-1.0.2-0.1.20160129gitcc757bc.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f8c8f2628e
Comment 8 Fedora Update System 2016-02-04 20:23:06 EST
lrbd-1.0.2-0.1.20160129gitcc757bc.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-919af89213
Comment 9 Fedora Update System 2016-02-04 20:24:22 EST
lrbd-1.0.2-0.1.20160129gitcc757bc.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-1fc3fb5682
Comment 10 Fedora Update System 2016-02-04 21:19:04 EST
lrbd-1.0.2-0.1.20160129gitcc757bc.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f8c8f2628e
Comment 11 Fedora Update System 2016-02-14 21:53:18 EST
lrbd-1.0.2-0.1.20160129gitcc757bc.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2016-02-14 22:19:51 EST
lrbd-1.0.2-0.1.20160129gitcc757bc.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.